<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Patient;
use App\Sinedria;
use App\Katigories;
use PDF;
use DataTables;
use Carbon\Carbon;
use DateTime;


class SinedriaController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
//        $sinedries = Sinedria::simplePaginate(20);;
		return view('sinedries.index');    

    }

	public function getData()
	{

		$sinedries  = Sinedria::with('patient')->select('id', 'patient_id', 'sinedriadate', 'diagnosis', 'treatment', 'check_surgery');


		return DataTables::of($sinedries)
				->addColumn('lastname', function($sinedries){
				 return $sinedries->patient->lastname;
				})
				->addColumn('firstname', function($sinedries){
				 return $sinedries->patient->firstname;
				})
				->addColumn('actions', function($sinedries){
					$html = '<a href="patients/detailSinedria/'.$sinedries->patient_id.'" class="btn btn-primary btn-xs"> <i class="fa fa-search"></i></a>
								 <a href="patients/editSinedria/'.$sinedries->id.'" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i></a>
								 <button class="btn btn-danger btn-s btn-flat btn-delete delete-table btn-xs" value="'.$sinedries->id.'"><i class="fa fa-trash"></i></button>';
				return $html;
				}
				)
				->editColumn('sinedriadate', function ($sinedries) {
					$ymd = DateTime::createFromFormat('d/m/Y', $sinedries->sinedriadate)->format('Y-m-d');
					if ($ymd>'1900-1-1') {
						return $sinedries->sinedriadate; 
					} else {return '';}
				})
				->escapeColumns([])
				->make(true);        

	}


    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $sinedria = Sinedria::find($id)->delete();
		return redirect('sinedries');
    }



}
