<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Patient;
use App\Sinedria;
use App\Reminder;
use App\WaitingList;
use App\Katigories;
use PDF;


class WaitingController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $waiting = WaitingList::where('dateadded', date("Y-m-d"))->orderBy('ordering', 'asc')->orderBy('id')->get();
		return view('waiting.index', compact('waiting'));    

    }


    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $waiting = WaitingList::find($id)->delete();
		return redirect('waiting');
    }

    public function editWaiting($id)
    {
		$patientWaiting = WaitingList::find($id);
		$listdescription = Katigories::where('id_katigoria', 501) 
			->orderBy('onomasia')->pluck('onomasia', 'onomasia'); 

		return view('waiting.editWaiting', compact('patientWaiting', 'listdescription')); 
    }

    public function updateWaiting(Request $request, $id)
    {
        $waitingUpdate = $request->all();
		$patientWaiting = WaitingList::find($id);
		$patientWaiting->update($waitingUpdate);
		return redirect('waiting'); 
    }

    public function up($id)
    {
		//vrisko to record pou thelo na anevaso
		$patientWaiting = WaitingList::find($id);
		//vrisko to record pou einai amesos pio pano sti lista. Protereotita exei o mikroteros arithmos. Giauto zitazo osa exoun mikrotero oredring kai epilego to megalitero apo auta.
		$previousWaiting = WaitingList::where('dateadded','=', date("Y-m-d"))->where('ordering','<',$patientWaiting->ordering)->orderby('ordering', 'desc')->first();
		//kratao tin trexousa timi tou ordering
		$old = $patientWaiting->ordering;
		//an yparxei record me mikrotero ordering tote kano swap
		if ($previousWaiting) {
			$patientWaiting->ordering = $previousWaiting->ordering;
			$patientWaiting->save();

			$previousWaiting->ordering = $old;
			$previousWaiting->save();
		}
		return redirect('waiting'); 
    }

    public function down($id)
    {
		$patientWaiting = WaitingList::find($id);
		$previousWaiting = WaitingList::where('dateadded','=', date("Y-m-d"))->where('ordering','>',$patientWaiting->ordering)->orderby('ordering', 'asc')->first();
		$old = $patientWaiting->ordering;

		if ($previousWaiting) {
			$patientWaiting->ordering = $previousWaiting->ordering;
			$patientWaiting->save();

			$previousWaiting->ordering = $old;
			$previousWaiting->save();
		}
		return redirect('waiting'); 
    }

}
