<?php

namespace App;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Collective\Html\Eloquent\FormAccessible;

class Patient extends Model
{

	protected $fillable=[
        'lastname',
        'firstname',
		'birthdate',
		'amka',
		'tameio',
		'parapompi',
		'history',
		'address',
		'city',
		'tk',
		'phone',
		'mobile',
		'email',
		'origin',
		'history_drug',
		'smoking',
		'eth',
		'gp',
		'tameio_aeroporia',
		'comments',
    ];

	protected $dates = ['birthdate'];

	public function patientSinedria()
    {
        return $this->hasMany('App\Sinedria', 'patient_id');
    }

	public function patientReminder()
    {
        return $this->hasMany('App\Reminder', 'patient_id');
    }

	use FormAccessible;

	public function getBirthdateAttribute($value)
    {
        return Carbon::parse($value)->format('d/m/Y');
    }

    public function formBirthdateAttribute($value)
    {
        return Carbon::parse($value)->format('Y-m-d');
    }
}

