<?php

namespace App;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Collective\Html\Eloquent\FormAccessible;

class Sinedria extends Model
{

	protected $table = 'sinedries';

	protected $fillable=[
        'patient_id',
        'sinedriadate',
		'xreosi',
		'priority',
		'evidence',
		'presenting_complaint',
		'diagnosis',
		'treatment',
		'clinical_rinne_r',
		'clinical_rinne_l',
		'clinical_weber',
		'clinical_tymp_r',
		'clinical_otoscopy',
		'clinical_pta',
		'clinical_tonsil_grade',
		'clinical_malampati_grade',
		'clinical_oral_cavity',
		'clinical_endoscopy',
		'clinical_neurotology',
		'clinical_neck',
		'clinical_tymp_l',
		'typos_sinedrias',
		'check_surgery',
		'check_earphones',
		'check_night_oximetry',
		'recipe',
		'pnif_before',
		'pnif_after',
		'vallecula',
		'height',
		'weight',
		'neck',
		'waist',
		'hips',
		'ess',
		'spo2',
		'stop_bang',
		'snoring_open',
		'snoring_close',
		'muller_glossa',
		'muller_yperoa',
    ];

	protected $dates = ['sinedriadate'];

	public function patient()
    {
        return $this->belongsTo('App\Patient', 'patient_id');
    }

	use FormAccessible;

	public function getSinedriadateAttribute($value)
    {
        return Carbon::parse($value)->format('d/m/Y');
    }

    public function formSinedriadateAttribute($value)
    {
        return Carbon::parse($value)->format('Y-m-d');
    }

}

