@extends('adminlte::page')

@section('title', 'Iassis ORL')

@section('content_header')
    <h1>Επεξεργασία Υπενθύμισης για: {{$patient->firstname}} {{$patient->lastname}}</h1>
@stop

@section('content')

		<div class="col-md-3">
			<div class="box box-info">
				<div class="box-header with-border">
					<h3 class="box-title">Στοιχεία Τελευταίας Συνεδρίας</h3>
						<div class="box-tools pull-right">
						    <a href="{{url('/patients/detailSinedria', ['patient_id'=>$patient->id, 'id'=>$sinedria->id])}}" class="btn btn-primary btn-xs"> <i class="fa fa-search"></i> </a>
						</div>
				</div>
				<div class="box-body box-profile">
					<b>Ημερομηνία</b>
					@if ($sinedria->sinedriadate > '1970/1/1') {{date('d/m/Y', strtotime($sinedria->sinedriadate)) }} @endif
					<br>
                    <b>Impression - D. Diagnosis:</b>
					{!! $sinedria->diagnosis !!}
					<br>
					<b>Treatment Plan</b><br>
					{!! $sinedria->treatment !!}

				</div>
			</div>
		</div>
		<div class="col-md-9">
			<div class="box box-success">
				<div class="box-header with-border">
					<h3 class="box-title">Φόρμα Υπενθύμισης</h3>
				</div>
				{!! Form::model($patientReminder,['method' => 'POST', 'action'=>['PatientController@editReminder',$patientReminder->id]]) !!}
				<div class="box-body">

					<div class="form-group">
						{!! Form::label('dateadded', 'Ημερομηνία:') !!}
						{!! Form::date('dateadded',null,['class'=>'form-control']) !!}
					</div>
					<div class="form-group">
						{!! Form::label('datetoremind', 'Ημερομηνία Υπενθύμισης:') !!}
						{!! Form::date('datetoremind',null,['class'=>'form-control']) !!}
					</div>
					<div class="form-group">
						{!! Form::label('description', 'Description:') !!}
						  <div class="input-group input-group-sm">
							<input id="tagsdescription" name="tagsdescription" class="form-control">
								<span class="input-group-btn">
								  <button type="button" id="categorybtn" class="btn btn-info btn-flat" onClick="addtext('tagsdescription', 'description', '301');">ADD</button>
								</span>
						  </div>
						{!! Form::textarea('description',null,['class'=>'form-control', 'rows'=>6]) !!}
					</div>
					<div class="form-group">
						{!! Form::label('comments', 'Comments:') !!}
						{!! Form::textarea('comments',null,['class'=>'form-control', 'rows'=>6]) !!}
					</div>

				</div>
                <div class="box-footer">
                    {!! Form::submit('Αποθήκευση', ['class' => 'btn btn-primary']) !!}
                    <a href="{{url('/patients/show/'.$patientReminder->patient_id)}}" class="btn btn-danger">Άκυρο</a>
                </div>
                {!! Form::close() !!}
			</div>
		</div>


@stop

@section('css')
    <link rel="stylesheet" href="../../css/admin_custom.css">
  <!-- DataTables 
  <link rel="stylesheet" href="../../plugins/datatables/dataTables.bootstrap.css">
  -->
  <link href="../../css/jquery-ui.css" rel="stylesheet" type="text/css" />
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<script src="../../vendor/tinymce/jquery.tinymce.min.js"></script>
	<script src="../../js/jquery/jquery-ui.js"></script>
	<script src="../../vendor/tinymce/tinymce.min.js"></script>
	<script src="../../js/myfunctions.js"></script>
	<script>
				tinymce.init({selector:"textarea",
				menubar : false,
				language : "el",
				entity_encoding : "raw",
				statusbar : false,
				content_css : "../../css/custom_content_tinymce.css"
				});
	</script>
    <script>$(function() {var availableTags = [ @foreach ($listdescription as $list) "{{ $list }}", @endforeach ""];$( "#tagsdescription" ).autocomplete({
		  source: availableTags
			});
		});
	</script>

@stop