@extends('layouts.printForm')

@section('title', 'Patient Empty Form')

@section('content')

<div class="report">
	<table>
	<tr> 	<td width="150px">Name:</td> 	<td colspan="3">{{$patient->firstname}} {{$patient->lastname}}</td>	</tr>
	<tr> 	<td>Date:</td> 	<td>{{date('d/m/Y')}}</td>	<td>Evidence: @if (!empty($sinedria->evidence)) {{ $sinedria->evidence }}@endif</td><td>Priority: @if (!empty($sinedria->priority)) {{ $sinedria->priority }} @endif</td></tr>
	<tr> 	<td>DOB:</td> 	<td colspan="3">{{$patient->birthdate}}</td>	</tr>
	<tr> 	<td>Phone:</td> 	<td colspan="3">{{ $patient->phone}} / {{ $patient->mobile}}</td>	</tr>
	<tr> 	<td>AMKA:</td> 	<td colspan="3">{{ $patient->amka}}</td>	</tr>
	<tr> 	<td>Referring physician:</td> 	<td colspan="3">{{ $patient->parapompi}}</td>	</tr>
	<tr> 	<td>GP:</td> 	<td colspan="3">{{ $patient->gp}}</td>	</tr>
	<tr> 	<td>Ταμείο:</td> 	<td colspan="3">{{ $patient->tameio}}</td>	</tr>
	</table>
	<br>
	<table>
	<tr><td>Presenting Complaint</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	</table>
	<table>
	<tr><td>Past Medical History </td><td>Social History</td></tr>
	<tr><td rowspan="3">{!! $patient->history !!}</td><td>Smoking: {{ $patient->smoking}}</td></tr>
	<tr><td>ETH: {{ $patient->eth}}</td></tr>
	<tr class="fontwhite"><td>|&ensp;</td></tr>
	</table>
	<table>
	<tr><td>Drug History – Drug Allergy</td></tr>
	@if (!empty($patient->history_drug)) 
		<tr><td> {!! $patient->history_drug !!} </td></tr>
	@else <tr class="fontwhite"><td> | &ensp; </td></tr>
	@endif
	</table>
	<table>
	<tr><td colspan="10"><b>Clinical Examination</b></td></tr>
	<tr><td>Rinne R </td><td width="50px">&ensp;</td><td>Rinne L </td><td>&ensp;</td><td>WEBER </td><td>&ensp;</td><td>Tymp R </td><td>&ensp;</td><td>Tymp L </td><td>&ensp;</td></tr>
	<tr><td colspan="10">Otoscopy:</td></tr>
	<tr><td colspan="10">PTA:</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr><td colspan="2">Tonsil grade</td><td colspan="3">&ensp;</td><td colspan="2">Malampati grade</td><td colspan="3">&ensp;</td></tr>
	<tr><td colspan="10">Oral cavity/ Oropharynx:</td></tr>
	<tr><td colspan="10">Endoscopy:</td></tr>
	<tr><td colspan="10">Neurotology:</td></tr>
	<tr><td colspan="10">Neck:</td></tr>
	<tr><td colspan="10"><b>Impression – D. Diagnosis</b></td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr><td colspan="10"><b>Treatment plan</b></td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	</table>
	

</div>





@endsection



	