@extends('adminlte::page')

@section('title', 'Iassis ORL')

@section('content_header')
    <h1>Καρτέλα Ασθενή</h1>
@stop

@section('content')

                    
		<!-- START CONTENT FRAME BODY -->
		<div class="col-md-9">

          <!-- Profile Image -->
          <div class="box box-primary">
            <div class="box-body box-profile">
			  <h3 class="profile-username text-center">{{ $patient->firstname }} {{ $patient->lastname }}</h3>


			  <input type="hidden" name="patient_id" id="patient_id" value="{{ $patient->id }}">

              <p class="text-muted text-center">{{ $patient->address}} {{ $patient->city}} {{ $patient->tk}}</p>

  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Σταθερο Τηλ:</b> <a class="pull-right">{{ $patient->phone}}</a>
					</li>
					<li class="list-group-item">
					  <b>Κινητό Τηλ:</b> <a class="pull-right">{{ $patient->mobile}}</a>
					</li>
					<li class="list-group-item">
					  <b>email:</b> <a class="pull-right">{{ $patient->email}}</a>
					</li>
				  </ul>
			  </div>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Ημερομηνία Γέννησης:</b> <a class="pull-right">{{$patient->birthdate}}  </a>
					</li>
					<li class="list-group-item">
					  <b>Eth:</b> <a class="pull-right">{{ $patient->eth}}</a>
					</li>
					<li class="list-group-item">
					  <b>Smoking:</b> <a class="pull-right">{{ $patient->smoking}}</a>
					</li>
				  </ul>
			  </div>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>ΑΜΚΑ:</b> <a class="pull-right">{{ $patient->amka}}</a>
					</li>
					<li class="list-group-item">
					  <b>Ταμείο:</b> <a class="pull-right">{{ $patient->tameio}}</a>
					</li>
					<li class="list-group-item">
					  <b>Referring physician:</b> <a class="pull-right">{{ $patient->parapompi}}</a>
					</li>
				  </ul>
			  </div>
            </div>

            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		</div>
			<!-- START CONTENT FRAME LEFT -->
			<div class="col-md-3">
				  <!-- About Me Box -->
				  <div class="box box-primary">
					<div class="box-header with-border">
					  <h3 class="box-title">Επιλογές Ασθενή</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						 
						  @include('patients.patientMenu')

					</div>
				</div>
			</div>
			<!-- END CONTENT FRAME LEFT -->

		<div class="col-md-12">
			<div class="box box-primary">
				<div class="box-header with-border">
					  <h3 class="box-title">Ιστορικό</h3>
						<div class="box-tools pull-right">
						    <a href="{{url('/patients/edit', $patient->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i> Edit</a>
						</div>
				</div>
				<div class="box-body">
					{!! $patient->history !!}
				</div>
			</div>
		</div>
		<div class="col-md-12">
			<div class="box box-primary">
				<div class="box-header with-border">
					  <h3 class="box-title">Άλλα στοιχεία</h3>
					  <div class="box-tools pull-right">
						<button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
						</button>
					  </div>
				</div>
				<div class="box-body">
					<div class="col-md-6">
						<b>Προέλευση:</b> {!! $patient->origin !!} <br>
						<b>GP:</b> {!! $patient->gp !!}<br>
						<b>Παρατηρήσεις:</b> {!! $patient->comments !!}
					</div>
					<div class="col-md-6">
						<b>Drug History - Drug Allergy:</b> {!! $patient->history_drug !!}
						
					</div>
				</div>
			</div>
		</div>

		<div class="col-md-12">
			<div class="box box-primary">
				<div class="box-header with-border">
					<h3 class="box-title">Συνεδρίες</h3>
				</div>
				<div class="box-body">
					<table class="table table-bordered table-striped table-actions" id="table">
						<thead>
						  <tr>
							<th>Ημερομηνία</th>
							<th>Diagnosis</th>
							<th>Treatment</th>
							<th>Priority</th>
							<th>Συζ. Χειρ.</th>
							<th width="180">Actions</th>                          
						  </tr>
						</thead>

						<tbody id="calendar-list" name="calendar-list">	
							@foreach ($sinedries as $indexKey => $sinedria)
							<tr>
								<td>{{$sinedria->sinedriadate }} </td>
								<td>{!! $sinedria->diagnosis !!} </td>
								<td>{!! $sinedria->treatment !!} </td>
								<td>{{ $sinedria->priority}} </td>
								<td>{{ $sinedria->check_surgery}} </td>
							  <td>                                          
								 <a href="{{url('/patients/detailSinedria', ['patient_id'=>$patient->id]). '?' . http_build_query(['page' => $indexKey+1])}}" class="btn btn-primary"> <i class="fa fa-search"></i></a>
								 <a href="{{url('/patients/editSinedria', $sinedria->id)}}" class="btn btn-primary"> <i class="fa fa-pencil"></i></a>
								 <a href="#" class="btn btn-primary" onClick="printsinedria({{$sinedria->id}}, {{$patient->id}});"> <i class="fa fa-print"></i></a>
								 <button class="btn btn-danger btn-s btn-flat btn-delete delete-calendar" value="{{$sinedria->id}}"><i class="fa fa-trash"></i></button>

							  </td>
							</tr>
							@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>

		<div class="col-md-12">
			<div class="box box-primary">
				<div class="box-header with-border">
					<h3 class="box-title">Υπενθυμίσεις</h3>
				</div>
				<div class="box-body">
					<table class="table table-bordered table-striped table-actions" id="table2">
						<thead>
						  <tr>
							<th>Ημερομηνία</th>
							<th>Ημ. Υπενθύμισης</th>
							<th>Description</th>
							<th>Comment</th>
							<th width="180">Actions</th>                          
						  </tr>
						</thead>

						<tbody id="calendar-list2" name="calendar-list2">	
							@foreach ($reminders as $reminder)
							<tr>
								<td data-order="{{ $reminder->dateadded }}">@if ($reminder->dateadded > '1970/1/1') {{date('d/m/Y', strtotime($reminder->dateadded)) }} @endif </td>
								<td data-order="{{ $reminder->datetoremind }}">@if ($reminder->datetoremind > '1970/1/1') {{date('d/m/Y', strtotime($reminder->datetoremind)) }} @endif </td>
								<td>{!! $reminder->description !!} </td>
								<td>{!! $reminder->comments !!} </td>
							  <td>                                          
								 <a href="{{url('/patients/editReminder', $reminder->id)}}" class="btn btn-primary"> <i class="fa fa-pencil"></i></a>
								 <button class="btn btn-danger btn-s btn-flat btn-delete delete-calendar2" value="{{$reminder->id}}"><i class="fa fa-trash"></i></button>

							  </td>
							</tr>
							@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>





	</div>
                    <!-- END CONTENT FRAME BODY -->

<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Συνεδρίας;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

<!-- Delete Modal 2 -->
<div class="modal fade" id="myModalDel2" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Υπενθύμισης;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes2" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
	
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="../../vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="../../vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="../../vendor/datatables/mydataTablePatientShow.js"></script>

	<script src="../../js/printsinedria.js"></script>




@stop
