@extends('layouts.printForm')

@section('title', 'Patient2 Empty Form')

@section('content')

<div class="report">
	<table>
	<tr> 	<td width="150px">Name:</td> 	<td>{{$patient->firstname}} {{$patient->lastname}}</td>	</tr>
	<tr> 	<td>Date:</td> 	<td>{{$sinedria->sinedriadate}}</td>	</tr>
	<tr> 	<td>DOB:</td> 	<td>{{$patient->birthdate}}</td>	</tr>
	<tr> 	<td>Phone:</td> 	<td>{{ $patient->phone}} / {{ $patient->mobile}}</td>	</tr>
	<tr> 	<td>Status:</td> 	<td>{{ $patient->status}}</td>	</tr>
	<tr> 	<td>Referring physician:</td> 	<td>{{ $patient->parapompi}}</td>	</tr>
	<tr> 	<td>GP:</td> 	<td>{{ $patient->gp}}</td>	</tr>
	<tr> 	<td>Ταμείο:</td> 	<td>{{ $patient->tameio}}</td>	</tr>
	</table>
	<br>
	<table>
	<tr><td>Presenting Complaint</td></tr>
	@if (is_null($sinedria->presenting_complaint))
		<tr class="fontwhite"><td>|&ensp;</td></tr>
		<tr class="fontwhite"><td>|&ensp;</td></tr>
		<tr class="fontwhite"><td>|&ensp;</td></tr>
		<tr class="fontwhite"><td>|&ensp;</td></tr>
		<tr class="fontwhite"><td>|&ensp;</td></tr>
		<tr class="fontwhite"><td>|&ensp;</td></tr>
	@else
		<tr><td>{!! $sinedria->presenting_complaint !!}</td></tr>	
	@endif
	</table>
	<table>
	<tr><td>Past Medical History </td><td>Social History</td></tr>
	<tr><td rowspan="3">{!! $patient->history !!}</td><td>Smoking: {{ $patient->smoking}}</td></tr>
	<tr><td>ETH: {{ $patient->eth}}</td></tr>
	<tr><td>&ensp;</td></tr>
	</table>
	<table>
	<tr><td>Drug History – Drug Allergy</td></tr>
	<tr><td>{!! $patient->istoriko_drug !!}</td></tr>
	</table>
	<table>
	<tr><td colspan="10"><b>Clinical Examination</b></td></tr>
	<tr><td>Rinne R </td><td width="50px">{{ $sinedria->clinical_rinne_r}}</td><td>Rinne L </td><td>{{ $sinedria->clinical_rinne_l}}</td><td>WEBER </td><td>{{ $sinedria->clinical_weber}}</td><td>Tymp R </td><td>{{$sinedria->clinical_tymp_r}}</td><td>Tymp L </td><td>{{$sinedria->clinical_tymp_l}}</td></tr>
	<tr><td colspan="10">Otoscopy: {!! $sinedria->clinical_otoscopy !!}</td></tr>
	<tr><td colspan="10">PTA: {!! $sinedria->clinical_pta !!}</td></tr>
	<tr><td colspan="2">Tonsil grade</td><td colspan="3">{!! $sinedria->clinical_tonsil_grade !!}</td><td colspan="2">Malampati grade</td><td colspan="3">{!! $sinedria->clinical_malampati_grade !!}</td></tr>
	<tr><td colspan="10">Oral cavity/ Oropharynx: {!! $sinedria->clinical_oral_cavity !!}</td></tr>
	<tr><td colspan="10">Endoscopy: {!! $sinedria->clinical_endoscopy !!}</td></tr>
	<tr><td colspan="10">Neurotology: {!! $sinedria->clinical_neurotology !!}</td></tr>
	<tr><td colspan="10">Neck: {!! $sinedria->clinical_neck !!}</td></tr>
	<tr><td colspan="10"><b>Impression – D. Diagnosis</b></td></tr>
	<tr><td colspan="10">{!! $sinedria->diagnosis !!}</td></tr>
	<tr><td colspan="10"><b>Treatment plan</b></td></tr>

	@if (is_null($sinedria->treatment))
		<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
		<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
		<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
		<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
		<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
		<tr class="fontwhite"><td colspan="10">|&ensp;</td></tr>
	@else
		<tr><td colspan="10">{!! $sinedria->treatment !!}</td></tr>
	@endif

	
	</table>
	

</div>





@endsection



	