@extends('adminlte::page')

@section('title', 'Iassis ORL')

@section('content_header')
    <h1>Λίστα Υπενθυμίσεων</h1>
@stop

@section('content')

      <div class="row">
        <div class="col-xs-12">
          <div class="box">
            <div class="box-header">

            </div>
	<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table">
                    <thead>
                    <tr class="bg-info">
                        <th>Ημερομηνία</th>
						<th>Ημ. Υπενθύμισης</th>
						<th>Επώνυμο</th> 
						<th>Όνομα</th>
						<th>Description</th>
						<th>Comment</th>
                        <th>Ενέργειες</th> 
                    </tr>
                    </thead>
                    <tbody id="table-list" name="table-list">	
                    @foreach ($reminders as $reminder)
                        <tr>
                            <td data-order="{{ $reminder->dateadded }}">@if ($reminder->dateadded > '1970/1/1') {{date('d/m/Y', strtotime($reminder->dateadded)) }} @endif</td>
                            <td data-order="{{ $reminder->datetoremind }}">@if ($reminder->datetoremind > '1970/1/1') {{date('d/m/Y', strtotime($reminder->datetoremind)) }} @endif</td>
	                        <td>{{ $reminder->patient->lastname }}</td>
	                        <td>{{ $reminder->patient->firstname }}</td>
							<td>{!! $reminder->description !!} </td>
							<td>{!! $reminder->comments !!} </td>

							<td width="100">
								 <a href="{{url('/patients/show', $reminder->patient_id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-id-card"></i></a>
								 <a href="{{url('/patients/editReminder', $reminder->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i></a>
								 <button class="btn btn-danger btn-s btn-flat btn-delete delete-table btn-xs" value="{{$reminder->id}}"><i class="fa fa-trash"></i></button>
							</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
</div></div></div></div>
	

<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Υπενθύμισης;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>	

@stop

@section('css')
    <link rel="stylesheet" href="css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="vendor/datatables/jquery.dataTables.min.js"></script>
	<script src="vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="vendor/datatables/mydataTableIndexReminders.js"></script>
	
@stop