<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', 'PatientController@index');

Route::get('/getData', 'PatientController@getData');
Route::get('/getDataSinedries', 'SinedriaController@getData');

Route::get('/patients', 'PatientController@index');
Route::get('/patients/create', 'PatientController@create');
Route::post('/patients/create', 'PatientController@store');
Route::get('/patients/show/{id}', 'PatientController@show');
Route::get('/patients/edit/{id}', 'PatientController@edit');
Route::post('/patients/edit/{id}', 'PatientController@update');
Route::delete('/patients/{id}', 'PatientController@destroy');
Route::get('/patients/printEmptyForm/{id}', 'PatientController@printEmptyForm');

Route::get('/patients/detailSinedria/{id}', 'PatientController@detailSinedria');
Route::get('/patients/createSinedria/{id}', 'PatientController@createSinedria');
Route::post('/patients/createSinedria', 'PatientController@storeSinedria');
Route::get('/patients/editSinedria/{id}', 'PatientController@editSinedria');
Route::post('/patients/editSinedria/{id}', 'PatientController@updateSinedria');
Route::delete('/patients/destroySinedria/{id}/{patient_id}', 'PatientController@destroySinedria');
Route::get('/patients/printSinedria/{id}/{patient_id}', 'PatientController@printSinedria');
Route::get('/patients/printRecipe/{id}/{patient_id}', 'PatientController@printRecipe');

Route::get('/patients/createReminder/{id}', 'PatientController@createReminder');
Route::post('/patients/createReminder', 'PatientController@storeReminder');
Route::get('/patients/editReminder/{id}', 'PatientController@editReminder');
Route::post('/patients/editReminder/{id}', 'PatientController@updateReminder');
Route::delete('/patients/destroyReminder/{id}/{patient_id}', 'PatientController@destroyReminder');
Route::get('/patients/addWaiting/{id}', 'PatientController@addWaiting');

Route::get('/sinedries', 'SinedriaController@index');
Route::delete('/sinedries/{id}', 'SinedriaController@destroy');

Route::get('/reminders', 'ReminderController@index');
Route::delete('/reminders/{id}', 'ReminderController@destroy');

Route::get('/waiting', 'WaitingController@index');
Route::get('/waiting/editWaiting/{id}', 'WaitingController@editWaiting');
Route::post('/waiting/editWaiting/{id}', 'WaitingController@updateWaiting');
Route::delete('/waiting/{id}', 'WaitingController@destroy');
Route::get('/waiting/up/{id}', 'WaitingController@up');
Route::get('/waiting/down/{id}', 'WaitingController@down');

Route::get('/katigories/{id?}', 'KatigoriesController@index');
Route::post('/katigories', 'KatigoriesController@katigoriaSelect');
Route::post('/katigories/create', 'KatigoriesController@store');
Route::delete('/katigories/delete/{id}', 'KatigoriesController@destroy');